Package org.gradle.api.component

## Interface ComponentWithCoordinates

- All Superinterfaces:
    `Named`, `SoftwareComponent`
  All Known Subinterfaces:
    `CppExecutable`, `CppSharedLibrary`, `CppStaticLibrary`, `PublishableComponent`

      public interface ComponentWithCoordinates
      extends SoftwareComponent

  Represents a component that determines its publication coordinates.
  Since:
    4.7

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ModuleVersionIdentifier` | `getCoordinates()` | The publication coordinates for this component.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getCoordinates

          ModuleVersionIdentifier getCoordinates()

      The publication coordinates for this component.